#pragma once

class RowColSlider : public UWBMFC_SliderCtrlWithEcho
{
public:
  RowColSlider(){SLIDER_RESOLUTION = 29;}
};

class InteractiveMeshControl : public CDialog
{
	DECLARE_DYNAMIC(InteractiveMeshControl)

public:
	InteractiveMeshControl(CWnd* pParent = NULL);
	virtual ~InteractiveMeshControl();


  void SetCustomMesh(UWBD3D_PrimitiveMeshCustom *c);
  
	enum { IDD = IDD_INTERACTIVE_MESH_CONTROL };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual BOOL OnInitDialog(); 

  void InitializeControl(int res);
  void InitializeCVPos();


	DECLARE_MESSAGE_MAP()

  UWBD3D_PrimitiveMeshCustom    *m_CustomMesh;

public:
  BOOL m_ShowNormal;
  BOOL m_ShowControlGrid;
  afx_msg void OnBnClickedMeshNormal();
  afx_msg void OnBnClickedControlGrid();
  RowColSlider m_RowSlider;
  RowColSlider m_ColSlider;
  UWBMFC_SliderCtrlWithEcho m_PosXSlider;
  UWBMFC_SliderCtrlWithEcho m_PosYSlider;
  UWBMFC_SliderCtrlWithEcho m_PosZSlider;
  afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
};

