// University of Washington Bothell Graphics Library
// Authors: Kelvin Sung, Steve Baer
// The accompanying library supports CSS Graphics courses taught at UW-Bothell
// See: http://courses.washington.edu/css450/
//      http://courses.washington.edu/css451/
///////////////////////////////////////////////////////////////////////////////////
#pragma once

#include "DrawOnlyHandler.h"

/// Extension to the draw only handler that provides some mouse support.
/// This version moves the camera with mouse input
class CDrawAndMouseHandler : public CDrawOnlyHandler 
{
public:
  
  void OnMouseButton(bool down, unsigned int nFlags, int windowX, int windowY);
  void OnMouseMove(unsigned int nFlags, int windowX, int windowY);
};
