// University of Washington Bothell Graphics Library
// Authors: Kelvin Sung, Steve Baer
// The accompanying library supports CSS Graphics courses taught at UW-Bothell
// See: http://courses.washington.edu/css450/
//      http://courses.washington.edu/css451/
///////////////////////////////////////////////////////////////////////////////////
#pragma once
#include "uwbgl_D3DDefines.h"
#include "uwbgl_Primitive6.h"

// Mesh Primitive specific to Direct3D library. This is a combination of cone and cylinder
// meshes to create a 3D arrow
class UWBD3D_PrimitiveMeshArrow :  public UWB_Primitive
{
public:
  UWBD3D_PrimitiveMeshArrow();

  //virtual const UWB_BoundingVolume* GetBoundingVolume( eLevelOfDetail lod ) const;

protected:
  virtual void DrawPrimitive( eLevelOfDetail lod, UWB_DrawHelper& draw_helper );

  float m_length;
};